All operations require authentication.
List the TLDs for a domain orderProduction
List the TLDs for a domain order. Returns the top-level domains that can be ordered as a domain service of the xDSL pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ domain/ options/ tlds \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the domain services of an xDSL packProduction
List the domain services of an xDSL pack. Returns the domain names ordered or transferred as a service of the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ domain/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a domain service in an xDSL packProduction
Create a domain service in an xDSL pack. Orders, transfers or triggers the given action on a domain with its TLD, using the auth code for a transfer. Returns the task that performs it.
Path parameters
The internal name of your pack
Request body (required)
Domain action
createtradetransferNeeded for transfer from another registrar
Domain name
TLD of the domain
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ domain/ services \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
List the domains for an Email Pro activationProduction
List the domains for an Email Pro activation. Returns the domains on which an Email Pro service of the xDSL pack can be activated.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ emailPro/ options/ domains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get whether an address is available for Email ProProduction
Get whether an address is available for Email Pro. Returns whether the given email address can be used to activate an Email Pro service of the xDSL pack.
Path parameters
The internal name of your pack
Query parameters
The email address
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ emailPro/ options/ isEmailAvailable \
-H "authorization: Bearer $OVH_TOKEN"true
List the Email Pro services of an xDSL packProduction
List the Email Pro services of an xDSL pack. Returns the domains of the Email Pro services activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ emailPro/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create an Email Pro service in an xDSL packProduction
Create an Email Pro service in an xDSL pack. Activates an Email Pro account from an email address and a password. Returns the task that performs it.
Path parameters
The internal name of your pack
Request body (required)
The email address
The password
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ emailPro/ services \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
List the Exchange 2013 account services of an xDSL packProduction
List the Exchange 2013 account services of an xDSL pack. Returns the domains of the Exchange 2013 accounts activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ exchangeAccount/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an Exchange 2013 account service of an xDSL packProduction
Get an Exchange 2013 account service of an xDSL pack. Returns the domain, organization and Exchange service of an account activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ exchangeAccount/ services/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "exchangeService": "string", "organizationName": "string"}
List the domains for an Exchange activationProduction
List the domains for an Exchange activation. Returns the domains on which an Exchange service of the xDSL pack can be activated.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ exchangeIndividual/ options/ domains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get whether an address is available for ExchangeProduction
Get whether an address is available for Exchange. Returns whether the given email address can be used to activate an Exchange service of the xDSL pack.
Path parameters
The internal name of your pack
Query parameters
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ exchangeIndividual/ options/ isEmailAvailable \
-H "authorization: Bearer $OVH_TOKEN"true
List the Exchange 2013 organization services of an xDSL packProduction
List the Exchange 2013 organization services of an xDSL pack. Returns the domains of the Exchange 2013 organizations of the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ exchangeOrganization/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the domains for a hosted email activationProduction
List the domains for a hosted email activation. Returns the domains on which a hosted email service of the xDSL pack can be activated.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ options/ domains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the hosted email services of an xDSL packProduction
List the hosted email services of an xDSL pack. Returns the domains of the hosted email services activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a hosted email service in an xDSL packProduction
Create a hosted email service in an xDSL pack. Activates a hosted email account from an email address and a password. Returns the task that performs it.
Path parameters
The internal name of your pack
Request body (required)
Email address
Password
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
Get a hosted email service of an xDSL packProduction
Get a hosted email service of an xDSL pack. Returns the domain of a hosted email service activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string"}
Delete a hosted email service of an xDSL packProduction
Delete a hosted email service of an xDSL pack. Deletes the hosted email account and its mailbox from the pack.
Path parameters
The internal name of your pack
Response
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Get the account of a hosted email serviceProduction
Get the account of a hosted email service. Returns the primary address, offer, quota, mailbox size and the anti-spam and anti-virus status of the account.
Path parameters
The internal name of your pack
Response
Is the anti-spam enabled ?
Is the anti-virus enabled ?
Offer name
individualPrimary email address
Quota of the mailbox
Size of the maibox
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services/ {domain}/ account \
-H "authorization: Bearer $OVH_TOKEN"{ "antispamEnabled": true, "antivirusEnabled": true, "offer": "individual", "primaryEmailAddress": "string", "quota": { "unit": "string", "value": 0 }, "size": { "unit": "string", "value": 0 }}
Change the password of a hosted email serviceProduction
Change the password of a hosted email service. Sets a new password for the hosted email account of the xDSL pack.
Path parameters
The internal name of your pack
Request body (required)
New password
Response
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services/ {domain}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"Get the configuration of a hosted email serviceProduction
Get the configuration of a hosted email service. Returns the webmail URL, the status and the configuration of each service of the hosted email account.
Path parameters
The internal name of your pack
Response
List of services configurations
Status
activesuspendedWebmail url
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ hostedEmail/ services/ {domain}/ configuration \
-H "authorization: Bearer $OVH_TOKEN"{ "services": [ { "host": "string", "ip": "192.0.2.0", "port": 0, "service": "imap", "smtpAuth": true, "startTls": true } ], "status": "active", "webmailUrl": "string"}